Skip to main content
POST
/
insight
/
upload_text
/
Upload Text File
curl --request POST \
  --url https://app.aseed.ai/custdev/insight/upload_text/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "record_name": "<string>",
  "file_extension": "<string>",
  "transcript_format": "<string>",
  "project_id": "<string>"
}
'
import requests

url = "https://app.aseed.ai/custdev/insight/upload_text/"

payload = {
"content": "<string>",
"record_name": "<string>",
"file_extension": "<string>",
"transcript_format": "<string>",
"project_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
record_name: '<string>',
file_extension: '<string>',
transcript_format: '<string>',
project_id: '<string>'
})
};

fetch('https://app.aseed.ai/custdev/insight/upload_text/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
content
string
required
record_name
string
required
file_extension
string
required
Pattern: ^(txt|md|srt|vtt)$
transcript_format
string | null
project_id
string | null

Response

Successful Response

{key}
string